import { MigrationInterface, QueryRunner } from 'typeorm';

export class AddBreakdownToTransactionItem1724233193743
  implements MigrationInterface
{
  name = 'AddBreakdownToTransactionItem1724233193743';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "transaction_items" ADD "breakdown_bundling" boolean NOT NULL DEFAULT false`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "transaction_items" DROP COLUMN "breakdown_bundling"`,
    );
  }
}
